From b69a7b0d4e58d959670c3d370ca7f520d28dc9e4 Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Wed, 29 Jul 2020 03:59:10 +0300
Subject: [PATCH 31/59] AlpineApkTransaction: implement add/del packages.

---
 .../AlpineApkBackend/AlpineApkTransaction.cpp | 120 ++++++++++++++----
 .../AlpineApkBackend/AlpineApkTransaction.h   |  12 +-
 2 files changed, 101 insertions(+), 31 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.h b/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.h
index ba0a77502..cab1f6b99 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.h
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.h
@@ -30,19 +30,19 @@ class AlpineApkTransaction : public Transaction
 {
 Q_OBJECT
 public:
-    AlpineApkTransaction(AlpineApkResource *app, Role role);
-    AlpineApkTransaction(AlpineApkResource *app, const AddonList &list, Role role);
+    AlpineApkTransaction(AlpineApkResource *res, Role role);
+    AlpineApkTransaction(AlpineApkResource *res, const AddonList &list, Role role);
 
     void cancel() override;
     void proceed() override;
 
 private Q_SLOTS:
-    void iterateTransaction();
-    void finishTransaction();
+    void startTransaction();
+    void finishTransactionOK();
+    void finishTransactionWithError(const QString &errMsg);
 
 private:
-    bool m_iterate = true;
-    AlpineApkResource *m_app;
+    AlpineApkResource *m_resource;
     AlpineApkBackend *m_backend;
 };
 
-- 
GitLab


